# 🖥 Zellij – terminálový multiplexor

![](https://lukan.cz/wp-content/uploads/2024/10/logo-1330x1536.png)

[Zellij](https://zellij.dev/) je moderní terminálový multiplexor pro Unixové systémy, který byl vytvořen jako alternativa k populárním terminálovým multiplexorům jako jsou tmux a GNU Screen. Zellij nabízí několik inovativních funkcí a vylepšení, které ho činí atraktivním pro uživatele, kteří hledají flexibilní a uživatelsky přívětivý nástroj pro správu terminálových oken.

## Historie

Zellij byl vytvořen jako open-source projekt a jeho vývoj začal v roce 2020. Projekt je napsán v jazyce [Rust](https://www.rust-lang.org/), což mu poskytuje výkonnostní výhody a bezpečnostní rysy, které jsou typické pro tento programovací jazyk. Zellij je stále v aktivním vývoji a pravidelně přibývají nové funkce a vylepšení.

![](https://lukan.cz/wp-content/uploads/2024/10/Snimek-z-2024-10-05-14-06-57-1536x864.png)

## Současnost

V současné době je Zellij považován za moderní a inovativní nástroj pro správu terminálových oken. Jeho hlavními výhodami jsou:

   1. **Moderní architektura**: Zellij je napsán v Rustu, což mu poskytuje výkonnostní výhody a bezpečnostní rysy.
   2. **Uživatelské rozhraní**: Zellij nabízí intuitivní a uživatelsky přívětivé rozhraní, které usnadňuje správu více terminálových oken.
    3. **Flexibilita**: Zellij umožňuje vytvářet složité layouty terminálových oken a snadno mezi nimi přepínat.
    4. **Konfigurovatelnost**: Zellij je vysoce konfigurovatelný a umožňuje uživatelům přizpůsobit si jeho chování podle svých potřeb.
    5. **Pluginy**: Zellij podporuje pluginy, což umožňuje rozšířit jeho funkčnost podle potřeb uživatele.

## Ovládání

Zellij se ovládá pomocí klávesových zkratek a příkazů. Zde jsou některé základní příkazy a klávesové zkratky, které mohou být užitečné pro začátečníky:

**Spouštění Zellij uděláš příkazem v terminálu pomocí příkazu Zellij.**

  1.  **Přepínání mezi panely**:
       ````
        Ctrl + h: Přepne na panele vlevo.
        Ctrl + j: Přepne na panele dole.
        Ctrl + k: Přepne na panele nahoře.
        Ctrl + l: Přepne na panele vpravo.
       ```` 
   2.  **Vytváření nových panele**:
        ````
        Ctrl + n: Vytvoří nový panel.
        ````
   3. **Zavření panele**:
        ````
        Ctrl + w: Zavře aktuální panel.
        ````
   4. **Přepínání mezi layouty**:
        ```
        Ctrl + r: Přepne na další layout.
        ````
   5. **Přepínání mezi okny**:
        ```
        Ctrl + p: Přepne na předchozí okno.
        Ctrl + n: Přepne na další okno.
        ```
   6. **Změna velikosti panele**:
        ```
        Ctrl + Shift + h: Zmenší panele vlevo.
        Ctrl + Shift + j: Zmenší panele dole.
        Ctrl + Shift + k: Zmenší panele nahoře.
        Ctrl + Shift + l: Zmenší panele vpravo.
        ```
   7. **Ukončení Zellij**:
        ```
        Ctrl + q: Ukončí Zellij.
        ```
## Konfigurace

Zellij umožňuje uživatelům vytvářet vlastní konfigurační soubory, které mohou být umístěny v adresáři **~/.config/zellij/**. Konfigurační soubor může obsahovat nastavení klávesových zkratek, layoutů a dalších parametrů.
Závěr

Zellij je moderní a inovativní terminálový multiplexor, který nabízí mnoho výhod oproti tradičním nástrojům jako jsou tmux a GNU Screen. Jeho flexibilita, výkonnost a uživatelské rozhraní ho činí atraktivním pro uživatele, kteří hledají efektivní nástroj pro správu terminálových oken.
